#!/bin/sh

TEMPATH='/tmp'
PLUGINPATH='/usr/lib/enigma2/python/Plugins/Extensions/GosatPlus'
echo "#########################################################"
echo "GOSATPLUS V2 GLOBAL"
echo "#########################################################"

# remove old version if any
echo "#########################################################"
echo "#          Uninstall old version(s) if exist            #"
echo "#########################################################"
rm -r $PLUGINPATH >/dev/null 2>&1
rm -f $PRELOADPATH >/dev/null 2>&1
rm -rf /usr/bin/gosatplus
rm -rf /etc/init.d/softcam.GosatPlusV1.0R1
rm -rf /etc/GosatPlusV1.0R1.emu
rm -rf /etc/init.d/softcam.GosatPlusV1.0R2
rm -rf /etc/GosatPlusV1.0R2.emu
rm -rf /etc/init.d/softcam.GosatPlusV1.0R3
rm -rf /etc/GosatPlusV1.0R3.emu
rm -rf /etc/init.d/softcam.GosatPlusV1.0R4
rm -rf /etc/GosatPlusV1.0R4.emu
echo "#########################################################"
echo "#          Installing new version                       #"
echo "#########################################################"

cd $TEMPATH
set -e
wget -q "http://plugin.gosatplus.com/v2/arm-openpli.tgz"
tar -xzf arm-openpli.tgz -C /
set +e
rm -f arm-openpli.tgz
cd ..
chmod 755 /usr/bin/gosatplusv2_arm
chmod 755 /etc/init.d/softcam.GosatPlusV2
chmod 755 /etc/GosatPlusV2.emu

echo ""
cd ..
sync
echo "##########################################################"
echo "#  GosatPlus V2 Global Version is installed successfully #"
echo "##########################################################"
echo "#           YOUR STB WILL RESTART NOW                    #"
echo "##########################################################"
init 4
sleep 2
init 3
exit 0